{
    "services" : [{
            "name" : "hiprofilerd",
            "path" : ["/system/bin/hiprofilerd"],
            "sandbox" : 0,
            "once" : 1,
            "uid" : "hiprofiler",
            "gid" : ["shell", "readproc"],
            "socket" : [{
                "name" : "hiprofiler_unix_socket",
                "family" : "AF_UNIX",
                "type" : "SOCK_STREAM",
                "protocol" : "default",
                "permissions" : "0600",
                "uid" : "hiprofiler",
                "gid" : "shell",
                "option" : [
                    "SOCKET_OPTION_PASSCRED",
                    "SOCK_NONBLOCK",
                    "SOCK_CLOEXEC"
                ]
            }],
            "secon" : "u:r:ohco_hiprofilerd:s0",
            "start-mode" : "condition"
        }
    ],
    "jobs" : [{
            "name" : "param:hiviewdfx.hiprofiler.profilerd.start=1",
            "condition" : "hiviewdfx.hiprofiler.profilerd.start=1",
            "cmds" : [
                "start hiprofilerd"
            ]
        }, {
            "name" : "param:hiviewdfx.hiprofiler.profilerd.start=0",
            "condition" : "hiviewdfx.hiprofiler.profilerd.start=0",
            "cmds" : [
                "stop hiprofilerd"
            ]
        }, {
            "name" : "param:hiviewdfx.hiprofiler.plugins.start=1",
            "condition" : "hiviewdfx.hiprofiler.plugins.start=1",
            "cmds" : [
                "start hiprofiler_plugins"
            ]
        }, {
            "name" : "param:hiviewdfx.hiprofiler.plugins.start=0",
            "condition" : "hiviewdfx.hiprofiler.plugins.start=0",
            "cmds" : [
                "stop hiprofiler_plugins"
            ]
        }, {
            "name" : "param:hiviewdfx.hiprofiler.native_memoryd.start=1",
            "condition" : "hiviewdfx.hiprofiler.native_memoryd.start=1",
            "cmds" : [
                "start hiprofiler_daemon"
            ]
        }, {
            "name" : "param:hiviewdfx.hiprofiler.native_memoryd.start=0",
            "condition" : "hiviewdfx.hiprofiler.native_memoryd.start=0",
            "cmds" : [
                "stop hiprofiler_daemon"
            ]
        }
    ]
}
